(function () {
    'use strict';
    // generic UI For listing files
    angular.module('ti_common').directive('ticViewPanel', ticViewPanel);
    function ticViewPanel() {
        var directive = {
            restrict: 'E',
            templateUrl: 'ti_common/containers/view_panel.html',
            controller: ViewPanelController,
            controllerAs: 'vm',
            bindToController: true,
            transclude: {
                'actions': '?ticViewPanelActions',
                'body': 'ticViewPanelBody'
            },
            scope: {
                heading: '=',
                description: '='
            }
        };
        function ViewPanelController() {
            var vm = this;
            vm.show = true;
        }
        return directive;
    }
})();
